#include <stdio.h>
#include <stdlib.h>

#include "lower.h"

// 経過時間を秒で返す
double GetSpendTime(clock_t start_time)
{
	return (double)(clock() - start_time) / CLOCKS_PER_SEC;
}

// テキスト入力 (double)
void InputTxtDBL( char *filename, double *ap, int array_size ) {
	int i;
	char s[256];
	FILE *fp;

	if(fopen_s(&fp, filename, "r") != 0){
		printf("can not open -%s-\n", filename);
		exit(EXIT_FAILURE);
	}
	for(i=0; i<array_size; i++){
		fgets( s, 255, fp);
		ap[i] = atof(s);
	}

	fclose( fp );

}

// テキスト入力 (float)
void InputTxtFLT( char *filename, float *ap, int array_size ) {
	int i;
	char s[256];
	FILE *fp;

	if(fopen_s(&fp, filename, "r") != 0){
		printf("can not open -%s-\n", filename);
		exit(EXIT_FAILURE);
	}
	for(i=0; i<array_size; i++){
		fgets( s, 255, fp);
		ap[i] = (float)atof(s);
	}

	fclose( fp );

}

// ユニーク処理
int Unique (int *ap, int array_size) {
	int i,j;
	int size=0;
	int uniq;

	for(i=0; i<array_size; i++){
		uniq = 0;
		for(j=0; j<size; j++){
			if ( ap[i] == ap[j]) {
				uniq = 1;
				break;
			}
		}
		if ( !uniq ) {
			ap[size++] = ap[i];
		}
	}

	return size;
}
